<?php
require_once("/usr/local/www/berogui/includes/variables.php");
require_once("database.php");
$ba = new beroAri();
$result=$ba->select("SELECT vnum FROM version");
//Die Tabelle version exisitiert in der Datenbank
$versionen=file("/usr/local/www/berogui/includes/versionen.php");
if ($result!=false){
	$row = $ba->fetch_array($result);
	$sql="";
	$version="";
	$show=false;
	foreach ($versionen as $zeile){
		if ($show){
			if (strpos($zeile,"VERSION")===false) $sql.=$zeile;	
		}
		//Wenn die Versionsnummer übereinstimmt mit der Versionsnummer der Datei, werden die SQL Statements
		//ab diese Zeile gespeichert
		if (strpos($zeile,"VERSION")!==false){
			$values=split(' ',$zeile);
			$values[1]=trim($values[1]);
			$version=$values[1];
			if ($values[1]==$row['vnum']){
				$show=true;
			}

		 }
		 //Ab Version 13 werden die isdn-isdn Einträge haben sich geändert
		 if ($version==13 && $show==true){
		 	$query = $ba->select(' SELECT * from dialplan ORDER BY id');
		 	while ($entry = $ba->fetch_array($query)) {
		 		if ($entry['isdnid']!="" && !in_array($entry['isdnid'],$misdnids)){
		 			array_push($misdnids,$entry['isdnid']);
					$q = $ba->select("select fromId, dest, src, id, newDest, newSrc from dialplan where isdnid='".$entry['isdnid']."' and direction='isdn-sip'");
					$en=$ba->fetch_array($q);
					$q1 = $ba->select("select toId, dest, src, id, newDest, newSrc from dialplan where isdnid='".$entry['isdnid']."' and direction='sip-isdn'");
					$en1=$ba->fetch_array($q1);
					$ba->update("UPDATE dialplan set newDest='".$entry['isdnid'].$en1['newDest']."', newSrc='".$en1['newSrc']."' WHERE id='".$en['id']."'");
					$ba->update("UPDATE dialplan set newDest='\\\\1', newSrc='\\\\1' WHERE id ='".$en1['id']."'");
				}
			}
			$version=14;
		 }		
	}
	//echo $sql;
	$sql=trim($sql);
	if ($sql!="")	$ba->exec_query($sql);
	$ba->exec_query("UPDATE version SET vnum='".$version."'");
//Die Tabelle version exisitiert nicht in der Datenbank
}else{
	
	$sql="";
	$version="";
	foreach ($versionen as $zeile){
		if (strpos($zeile,"VERSION")===false) $sql.=$zeile;		
		else{
			$values=split(' ',$zeile);
			$values[1]=trim($values[1]);
			$version=$values[1];
		}						
	}
	
	
	$ba->exec_query($sql);
	$ba->exec_query("UPDATE version SET vnum='".$version."'");
}
?>
